/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  GeneratePress child theme customized for The Web in a Box
 Author:       Sunday Lalbiaknia
 Author URI:   https://sundayamizo.in
 Template:     generatepress
 Version:      0.1
*/

a{
	text-decoration: none !important;
}
/* Site Header */

.inside-header {
    border-bottom-width: 4px;
    border-bottom-style: solid;
    border-bottom-color: rgba(0,0,0,0.1);
}

/* Navbar */

.btn-menu{
	border-left: 2px solid var(--contrast-3);
}

.btn-menu a {
    background-color: var(--accent);
    margin-left: 20px;
    line-height: 45px !important;
	color: #FFF !important;
}

.inside-navigation.grid-container{
	max-width: 100%;
}

.main-navigation.sticky-navigation-transition .navigation-branding img {
    height: 55px;
}

/* Site content */

.separate-containers .site-main {
    margin-top: 0;
}

.entry-content .alignwide, body:not(.no-sidebar) .entry-content .alignfull {
    margin-left: auto;
}

.no-sidebar .entry-content .alignfull {
    margin-left: calc(-100vw / 2 + 98% / 2);
 	padding-left: 2% !important; 
}

/* banner */

.home-hero h1, .home-hero p{
	text-shadow: 0px 1px 0px rgba(0,0,0,0.9);
}

.page-hero-text{
	background-color: rgba(0, 0, 0, 0.5);
    padding: 30px !important;
    width: 72% !important;
}

@media screen and (max-width: 768px){
	.page-hero-text{
		width: 100% !important;
	}
}

/* clients logo section */

.home-clients{
	margin-bottom: 0 !important;
}

h3.home-client-title{
	margin-bottom: 0;	
}

/* Testimonials */

.slick-arrow{
    background-color: var(--base-3) !important;
}

.uagb-slick-carousel {
    padding-top: 0px;
}

/*  Work List */

.work-list {
  	display: flex;
  	justify-content: space-between;
  	flex-wrap: wrap;
}

.project {
   	flex-basis: calc(50%);
   	margin: 0px;
/*    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2); */
   	transition: 0.3s;
	background-color: #FFF;
	padding: 30px;
}

.project:hover {
/*  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2); */
}

.project img:not(.ext-link-img) {
  	border-radius: 5px 5px 0 0;
  	width: 30%;
    height: 100px;
    object-fit: contain;
}

.project img.ext-link-img{
	margin-top: 3px;
    position: absolute;
    margin-left: 10px;
}

.project .project-container {
	position: relative;
    top: 80%;
}

.project .project-container h4 {
  	margin: 10px 0;
}

.project .project-container p {
  	color: #888;
	font-size: 14px !important;
	margin-bottom: 2.5em;
	min-height: 125px;
}

.project .project-container a {
  	text-decoration: none !important;
}


@media screen and (max-width: 768px){
	.project{
		min-height: 200px !important;
	}
	
	.project .project-container {
		position: relative;
		top: 50%;
	}
	
	.project h4{
		font-size: 20px !important;
	}
}


/* Contact form */

.wpcf7-not-valid-tip {
    color: #dc3232 !important;
    font-size: 0.85em;
}

.wpcf7 form .wpcf7-response-output {
    margin: 2em 0.5em 1em !important;
    padding: 0.2em 1em !important;
    border: 2px solid #00a0d2 !important;
	font-size: 0.85em !important;
}

.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output, .wpcf7 form.payment-required .wpcf7-response-output {
    border-color: #dc3232 !important;
}

.wpcf7-spinner {
    visibility: hidden;
    display: inline-block;
    background-color: #23282d !important;
    opacity: 0.75;
    width: 24px;
    height: 24px;
    border: none;
    border-radius: 100% !important;
    padding: 0 !important;
    margin: -6px 24px !important;
    position: relative;
}

/* Form */

 input:not([type=submit]), textarea {
    width: 100% !important;
    line-height: 40px !important;
    border: 1px solid #a2a2a2 !important;
    padding: 0px 10px !important;
}

.wpcf7-submit{
	background-color: #163585 !important;
    color: #FFF !important;
    padding: 10px 20px !important;
}

.wp-block-gallery.has-nested-images figure.wp-block-image img {
    width: auto;
    height: 40px !important;
    max-width: max-content !important;
}


/* local landing */

.local-landing p {
    margin-bottom: 0.8em;
}


/* mobile fixes */

@media (max-width: 768px){
	.no-sidebar .entry-content .alignfull {
		padding: 30px 20px !important;
	}
	
	.project {
  		flex-basis: calc(100%);
	}
	
	.wp-block-media-text.is-stacked-on-mobile .wp-block-media-text__content{
		padding: 30px !important;
	}
}